#!/bin/sh

# This script helps to generate a list of requested, missing wrapper functions

if ! test -e "modules.php"; then
	echo "$0: Please execute this script from root directory."
	exit 1
fi

grep --text "Please consider adding it to improve execution speed" inc/cache/debug.log* | \
	grep -v top10_max | \
	cut -d "|" -f 6 | \
	cut -d " " -f 3 | \
	sort --unique | \
	grep -v "getActiveLimit" | \
	grep -v "getBonusUserid" | \
	grep -v "getTop10Max" > w.log

cat w.log wrapper.log | sort --unique > w && mv w wrapper.log
rm w.log
